Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.concurrent.jobs
Class RPROPJob

    java.lang.Object
      org.encog.neural.networks.training.concurrent.jobs.TrainingJob
          org.encog.neural.networks.training.concurrent.jobs.RPROPJob

    public class RPROPJob

extends TrainingJob

A training definition for RPROP training.

Constructor Summary
`RPROPJob(BasicNetwork network, MLDataSet training, boolean loadToMemory)` Construct an RPROP job.

Method Summary
`void` | `createTrainer(boolean singleThreaded)` Create a trainer to use.
`double` | `getInitialUpdate()`
`double` | `getMaxStep()`
`void` | `setInitialUpdate(double initialUpdate)`
`void` | `setMaxStep(double maxStep)`

Methods inherited from class org.encog.neural.networks.training.concurrent.jobs.TrainingJob
`getError, getNetwork, getStrategies, getTrain, getTraining, isLoadToMemory, setError, setLoadToMemory, setNetwork, setTrain, setTraining, shouldContinue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPROPJob

    public RPROPJob(BasicNetwork network,
                    MLDataSet training,
                    boolean loadToMemory)

  Construct an RPROP job. For more information on RPROP see the ResilientPropagation class.

  Parameters:
    `network` - The network to train.
    `training` - The training data to use.
    `loadToMemory` - True if binary training data should be loaded to memory.

Method Detail

### createTrainer

    public final void createTrainer(boolean singleThreaded)

  Create a trainer to use.

  Specified by:
    `createTrainer` in class `TrainingJob`

### getInitialUpdate

    public final double getInitialUpdate()

  Returns:
    the initialUpdate

### getMaxStep

    public final double getMaxStep()

  Returns:
    the maxStep

### setInitialUpdate

    public final void setInitialUpdate(double initialUpdate)

  Parameters:
    `initialUpdate` - the initialUpdate to set

### setMaxStep

    public final void setMaxStep(double maxStep)

  Parameters:
    `maxStep` - the maxStep to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.